Bug 225857 - [GStreamer] YouTube videos start playing muted
Summary: [GStreamer] YouTube videos start playing muted
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-16 11:35 PDT by Michael Catanzaro
Modified: 2021-12-05 08:24 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2021-05-16 11:35:20 PDT
Since 2.32, YouTube videos now sometimes start playing muted unfortunately.

This was partially fixed via bug #223195, but not completely fixed. When the bug occurs, it is now possible to fix by pausing the video and then playing it again.

Since I cannot reproduce on demand, unfortunately I don't have GStreamer logs.
Comment 1 Michael Catanzaro 2021-07-23 05:58:19 PDT
Still broken with the 21.08 runtime (including GStreamer 1.18)
Comment 2 Michael Catanzaro 2021-07-30 06:47:45 PDT
This also sometimes happens for videos on developer.apple.com, e.g. https://developer.apple.com/videos/play/wwdc2021/10033/. But unfortunately I still don't have a reproducer.
Comment 3 Michael Catanzaro 2021-08-29 09:41:23 PDT
If we don't have time to investigate this soon, maybe a hack would work where we pause every video, then restart video playback? I know that sounds awful, but it would be a lot better than playing videos without sound.
Comment 4 Alexander Mikhaylenko 2021-08-29 10:04:17 PDT
FTR I can't reproduce it anymore in either stable or canary.

I think it was a pipewire issue really.
Comment 5 Philippe Normand 2021-08-30 02:46:19 PDT
(In reply to Alexander Mikhaylenko from comment #4)
> FTR I can't reproduce it anymore in either stable or canary.
> 
> I think it was a pipewire issue really.

For the record, what's your OS and pipewire versions?
Comment 6 Alexander Mikhaylenko 2021-08-30 02:50:53 PDT
(In reply to Philippe Normand from comment #5)
> (In reply to Alexander Mikhaylenko from comment #4)
> 
> For the record, what's your OS and pipewire versions?

Fedora 34

pipewire0.2-libs-0.2.7-5.fc34.x86_64
pipewire-libs-0.3.33-3.fc34.x86_64
pipewire-0.3.33-3.fc34.x86_64
pipewire-alsa-0.3.33-3.fc34.x86_64
pipewire-gstreamer-0.3.33-3.fc34.x86_64
pipewire-pulseaudio-0.3.33-3.fc34.x86_64
pipewire-utils-0.3.33-3.fc34.x86_64
Comment 7 Michael Catanzaro 2021-08-30 05:22:11 PDT
I hit this several times per day with Ephy Tech Preview on Fedora 34 with pipewire 0.3.33-3.fc34. It's not fixed.
Comment 8 Michael Catanzaro 2021-10-18 10:37:57 PDT
Anything we can do to help with this?
Comment 9 Philippe Normand 2021-10-18 11:17:12 PDT
(In reply to Michael Catanzaro from comment #8)
> Anything we can do to help with this?

Acquire human cloning technology
Comment 10 Philippe Normand 2021-10-23 05:51:00 PDT
I think it's a pipewire bug, filed: https://gitlab.freedesktop.org/pipewire/pipewire/-/issues/1738
Comment 11 Michael Catanzaro 2021-12-05 08:24:35 PST
With 2.35.1, I notice there is a roughly 50% chance that the video will become either muted or unmuted after performing a seek. I have to keep seeking sometimes several times in a row in order to get the sound to play again.